DELUSER(8)

NOM
deluser, delgroup - Retirer un utilisateur ou un groupe du système

SYNOPSIS
deluser [options] [--force] [--remove-home] [--remove-all-files] [--backup] [--backup-to REP] utilisateur

deluser --group [options] groupe
delgroup [options] [--only-if-empty] groupe

deluser [options] utilisateur groupe

  OPTIONS COMMUNES
[--quiet] [--system] [--help] [--version] [--conf FICHIER]

DESCRIPTION

deluser et delgroup retirent des utilisateurs et des groupes du système suivant les options et les informations de configuration de /etc/deluser.conf et /etc/adduser.conf. Ce sont des interfaces plus conviviales que les programmes userdel et groupdel. Elles permettent de supprimer un répertoire personnel, de supprimer tous les fichiers du système possédés par un utilisateur, de lancer un script personnalisé, ainsi que d'autres fonctionnalités. Vous pouvez exécuter deluser et delgroup de l'une de ces trois façons :

  Retirer un utilisateur normal
Lorsqu'il est exécuté avec un seul paramètre qui n'est pas une option et sans l'option --group, deluser retire un utilisateur normal. Par défaut, deluser retirera l'utilisateur sans retirer son répertoire personnel, sa boîte aux lettres ou tout autre fichier possédé par l'utilisateur sur le système. On peut retirer le répertoire personnel et la boîte aux lettres en utilisant l'option --remove-home. L'option --remove-all-files retire du système tous les fichiers possédés par l'utilisateur. Notez que si vous activez les deux options, --remove-home n'aura aucun effet, puisque tous les fichiers du répertoire personnel sont déjà couverts par l'option --remove-all-files. Si vous voulez sauvegarder tous les fichiers avant de les détruire, vous pouvez utiliser l'option --backup qui créera un fichier nommé nom_utilisateur.tar(.gz|.bz2) dans le répertoire indiqué par l'option --backup-to (ou par défaut dans le répertoire de travail courant). Ces deux options concernant la destruction des fichiers et leurs sauvegardes peuvent être activées par défaut dans le fichier de configuration /etc/deluser.conf. Voyez deluser.conf(5) pour davantage d'informations. Si vous souhaitez supprimer le compte root (identifiant 0), utilisez l'option --force ; cela permet d'éviter de supprimer l'utilisateur root par accident. Si le fichier /usr/local/sbin/deluser.local existe, il sera exécuté après que le compte utilisateur aura été retiré, ce qui permet de réaliser des opérations de nettoyage propres au système. Les paramètres passés à deluser.local sont :
nom_utilisateur uid gid répertoire_personnel

  Retire un groupe
Lorsque deluser est appelé avec l'option --group ou lorsque delgroup est appelé, un groupe est retiré. Attention : le groupe primaire d'un utilisateur existant ne peut pas être retiré. Si l'option --only-if-empty est utilisée, le groupe n'est retiré que s'il n'a plus d'utilisateur.

  Retire un utilisateur d'un groupe
Lorsqu'il est appelé avec deux paramètres qui ne sont pas des options, deluser retire un utilisateur d'un groupe particulier.

OPTIONS

--conf FICHIER
    Utilise FICHIER plutôt que les fichiers par défaut /etc/deluser.conf et /etc/adduser.conf.

--group
    Retire un groupe. C'est l'opération par défaut quand le programme invoqué est delgroup.

--help
    Affiche un résumé des instructions.

--quiet
    N'affiche pas les messages d'avancement.

--system
    Ne supprime l'utilisateur ou le groupe que s'il s'agit d'un utilisateur ou d'un groupe système. Cela permet de ne pas supprimer accidentellement des utilisateurs ou des groupes non système. De plus, si l'utilisateur n'existe pas, aucune valeur d'erreur n'est retournée. Cette option a été principalement implémentée pour les scripts de maintenance des paquets Debian.

--backup
    Sauvegarde tous les fichiers du répertoire personnel et la boîte aux lettres de l'utilisateur dans un fichier nommé /$utilisateur.tar.bz2 ou /$utilisateur.tar.gz.

--backup-to
    Indique où placer les fichiers de sauvegarde. L'emplacement par défaut est la racine « / ». --backup est alors implicite.

--remove-home
    Supprime le répertoire personnel et la boîte aux lettres de l'utilisateur. Si --backup est utilisé, les fichiers sont supprimés après avoir effectué la sauvegarde.

--remove-all-files
    Supprime tous les fichiers du système possédés par l'utilisateur. Note : --remove-home n'aura plus aucun effet. Si --backup est indiqué, les fichiers sont supprimés après avoir effectué la sauvegarde.

--version
    Affiche la version et le copyright.

VALEUR DE RETOUR

0   L'opération a été exécutée avec succès.

1   Le compte utilisateur à détruire n'était pas un compte système. Aucune opération n'a été effectuée.

2   L'utilisateur n'existe pas. Aucune opération n'a été effectuée.

3   Le groupe n'existe pas. Aucune opération n'a été effectuée.

4   Erreur interne. Aucune opération n'a été effectuée.

5   Le groupe à détruire n'est pas vide. Aucune opération n'a été effectuée.

6   L'utilisateur n'appartient pas au groupe indiqué. Aucune opération n'a été effectuée.

7   Impossible de retirer un utilisateur de son groupe primaire. Aucune opération n'a été effectuée.

8   Le paquet Perl « perl-modules » n'est pas installé. Ce paquet est nécessaire pour effectuer les actions demandées. Aucune opération n'a été effectuée.

9   Pour retirer le compte root, l'option « --force » est nécessaire. Aucune action n'a été effectuée.

FICHIERS
/etc/deluser.conf

VOIR AUSSI
deluser.conf(5), adduser(8), userdel(8), groupdel(8)

TRADUCTION
Ce document est une traduction, réalisée par Nicolas FRANÇOIS le 29 octobre 2004. L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man. N'hésitez pas à signaler à l'auteur ou à la liste de traduction <debian-l10n-french@lists.debian.org>, selon le cas, toute erreur dans cette page de manuel.

COPYRIGHT
Copyright (C) 2000 Roland Bauerschmidt. Modifications (C) 2004 Marc Haber et Joerg Hoh. Cette page de manuel et le programme deluser sont basés sur le programme adduser :
Copyright (C) 1997, 1998, 1999 Guy Maor.
Copyright (C) 1995 Ted Hajek, avec beaucoup de choses empruntées à la commande adduser de Debian.
Copyright (C) 1994 Ian Murdock. deluser est un logiciel libre ; consultez la licence publique générale du projet GNU (« GPL ») version 2 ou supérieure pour les droits de copie. Ce programme est fourni sans aucune garantie.